## net.i2p.client.streaming
Class SchedulerClosing

    java.lang.Object
      net.i2p.client.streaming.SchedulerImpl
          net.i2p.client.streaming.SchedulerClosing

All Implemented Interfaces:
  TaskScheduler

     class SchedulerClosing

extends SchedulerImpl

Scheduler used for after both SYNs have been ACKed and both sides have closed the stream, but either we haven't ACKed their close or they haven't ACKed ours.

## Entry conditions:

- Both sides have closed.
- At least one direction has not ACKed the close.

## Events:

- Packets received (which may or may not ACK the ones sent)
- RESET received
- Message sending fails (error talking to the session)
- Message sending fails (too many resends)

## Next states:

- `closed` - after both sending and receiving ACKs on the CLOSE
- `dead` - after sending or receiving a RESET

Field Summary

Fields inherited from class net.i2p.client.streaming.SchedulerImpl
`_context`

Constructor Summary
`SchedulerClosing(I2PAppContext ctx)`

Method Summary
`boolean` `accept(Connection con)`
`void` `eventOccurred(Connection con)`

Methods inherited from class net.i2p.client.streaming.SchedulerImpl
`reschedule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulerClosing

    public SchedulerClosing(I2PAppContext ctx)

Method Detail

### accept

    public boolean accept(Connection con)

### eventOccurred

    public void eventOccurred(Connection con)